package com.kingdee.eas.gyt;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.gyt.*;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class GetJobFacade extends AbstractBizCtrl implements IGetJobFacade
{
    public GetJobFacade()
    {
        super();
        registerInterface(IGetJobFacade.class, this);
    }
    public GetJobFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IGetJobFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("6285EA12");
    }
    private GetJobFacadeController getController() throws BOSException
    {
        return (GetJobFacadeController)getBizController();
    }
    /**
     *getJobRegistration-User defined method
     */
    public void getJobRegistration() throws BOSException, EASBizException
    {
        try {
            getController().getJobRegistration(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}